# Trust Anchor Locators (TALs)

## Introduction
There are five Regional Internet Registries (RIRs):

 - [AFRINIC](https://www.afrinic.net/)
 - [APNIC](https://www.apnic.net/)
 - [ARIN](https://www.arin.net/)
 - [LACNIC](https://www.lacnic.net/)
 - [RIPE NCC](https://www.ripe.net/)

Each RIR as a Trust Anchor (TA), being an X509 certificate as per
[RFC 6487](https://tools.ietf.org/html/rfc6487). The Trust Anchor
certificate address and its public key are specified by the Trust
Anchor Locator (TAL).

## Action Required
The OpenBSD rpki-client includes the TAL files for AFRINIC, APNIC,
LACNIC and RIPE NCC, but not ARIN. The TAL for ARIN can be *only*
obtained from ARIN itself after accepting the ARIN Relying Party
Agreement (RPA) at:

    https://www.arin.net/resources/manage/rpki/tal/#arin-tal

[RFC 7730](https://tools.ietf.org/html/rfc7730) is the format that
the OpenBSD rpki-client supports. Download the ARIN TAL and save it
as `/etc/pki/tals/arin.tal`.

## Verification
RIPE NCC provides a copy of all five TALs as part of the RIR Trust
Anchor Statistics at:

    https://www.ripe.net/manage-ips-and-asns/resource-management/certification/rir-trust-anchor-statistics

Alternatively, generate a TAL file based on the rsync URI to a self-
signed [RFC 3779](https://tools.ietf.org/html/rfc3779) certificate
using the following shell script:

    https://github.com/dragonresearch/rpki.net/blob/master/rp/rcynic/make-tal.sh
